Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.DialogDescriptionConfig Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | DialogDescriptionConfig ()
| Constructor.
def | DialogDescriptionConfig (dlg_des_config)
| Constructor, with another dialog description config object. More...
def | DialogDescriptionConfig (name, first_tab, width, height, char_width, char_height, align_children, element_array)
| Constructor, with parameters. More...
def | Set (name, first_tab, width, height, char_width, char_height, align_children, element_array)
| Set values. More...

## Static Public Attributes
| align_children = _fsdk.DialogDescriptionConfig_align_children
| The alignment for all descendants.
| char_height = _fsdk.DialogDescriptionConfig_char_height
| The height of the dialog box in characters. More...
| char_width = _fsdk.DialogDescriptionConfig_char_width
| The width of the dialog box in characters. More...
| element_array = _fsdk.DialogDescriptionConfig_element_array
| An array of dialog description element array object.
| first_tab = _fsdk.DialogDescriptionConfig_first_tab
| An ItemID for the dialog box item that should be first in the tab order. More...
| height = _fsdk.DialogDescriptionConfig_height
| The height of the dialog box in pixels. More...
| name = _fsdk.DialogDescriptionConfig_name
| The title bar of the dialog box.
| width = _fsdk.DialogDescriptionConfig_width
| The width of the dialog box in pixels. More...

## Detailed Description

This class represents dialog config.

## Constructor & Destructor Documentation

## ◆ DialogDescriptionConfig() [1/2]

def FoxitPDFSDKPython2.DialogDescriptionConfig.DialogDescriptionConfig | ( |  | name,
|  |  | first_tab,
|  |  | width,
|  |  | height,
|  |  | char_width,
|  |  | char_height,
|  |  | align_children,
|  |  | element_array
| ) |  |

Constructor, with parameters.

Parameters

  [in] | name | The title bar of the dialog box.
  [in] | first_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | The width of the dialog box in pixels.
  [in] | height | The height of the dialog box in pixels.
  [in] | char_width | The width of the dialog box in characters.
  [in] | char_height | The height of the dialog box in characters.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of dialog description element array object.

## ◆ DialogDescriptionConfig() [2/2]

def FoxitPDFSDKPython2.DialogDescriptionConfig.DialogDescriptionConfig | ( |  | dlg_des_config | ) |

Constructor, with another dialog description config object.

Parameters

  [in] | dlg_des_config | Another dialog description config object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.DialogDescriptionConfig.Set | ( |  | name,
|  |  | first_tab,
|  |  | width,
|  |  | height,
|  |  | char_width,
|  |  | char_height,
|  |  | align_children,
|  |  | element_array
| ) |  |

Set values.

Parameters

  [in] | name | The title bar of the dialog box.
  [in] | first_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | The width of the dialog box in pixels.
  [in] | height | The height of the dialog box in pixels.
  [in] | char_width | The width of the dialog box in characters.
  [in] | char_height | The height of the dialog box in characters.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of dialog description element array object.

Returns
  None.

## Member Data Documentation

## ◆ char_height

FoxitPDFSDKPython2.DialogDescriptionConfig.char_height = _fsdk.DialogDescriptionConfig_char_height
| static

The height of the dialog box in characters.

If no height is specified, the combined height of the contents is used.

## ◆ char_width

FoxitPDFSDKPython2.DialogDescriptionConfig.char_width = _fsdk.DialogDescriptionConfig_char_width
| static

The width of the dialog box in characters.

If no width is specified, the combined width of the contents is used.

## ◆ first_tab

FoxitPDFSDKPython2.DialogDescriptionConfig.first_tab = _fsdk.DialogDescriptionConfig_first_tab
| static

An ItemID for the dialog box item that should be first in the tab order.

If no width is specified, the combined width of the contents is used.

## ◆ height

FoxitPDFSDKPython2.DialogDescriptionConfig.height = _fsdk.DialogDescriptionConfig_height
| static

The height of the dialog box in pixels.

If no height is specified, the combined height of the contents is used.

## ◆ width

FoxitPDFSDKPython2.DialogDescriptionConfig.width = _fsdk.DialogDescriptionConfig_width
| static

The width of the dialog box in pixels.

If no width is specified, the combined width of the contents is used.